<?php

/*
Plugin Name: Replace Content
Plugin URI: http://www.geoweb.blog.br/2009/08/13/plugin-wordpress-replace-content/
Description: Replace a simple keyword for anything, text, html, images... based on the geckotube plugin.
Author: George Campos
Version: 0.1
Author URI: http://www.geoweb.blog.br
*/

add_filter('the_content','replace_content');

function replace_content($content) {

    $regex = '/\[replace=(.*?)]/i';

    preg_match_all( $regex, $content, $matches );

    for($x=0; $x<count($matches[0]); $x++) {

        $ncontent = explode('=',$matches[1][$x]);
		
		switch ($x+1) {
		// You start edit here
		// text example
		case 1:
			$replace = 'Hello World!';
	        break;
		// image example
    	case 2:
			$replace = '<img src="http://farm4.static.flickr.com/3234/3061240754_bac701d4ee_m.jpg" border="0">';
    	    break;
		// image and html example
		case 3:
			$replace = '<a href="http://www.flickr.com/photos/georgecampos/3060404283/" target="_blank"><img src="http://farm4.static.flickr.com/3284/3060404283_4b6bdb974f_m.jpg" border="0"></a>';
    	    break;	
			
		// you can add infinity options
		//	case 4:
		//		$replace = '<a href="#" target="_blank"><img src="http://farm4.static.flickr.com/3234/3061240754_bac701d4ee_m.jpg" border="0"></a>';
    	//    	break;
		
		// if not found anything show the message	
	    default:
			$replace = 'Ops! Page Not Found!';
		}

        $content = str_replace($matches[0][$x], $replace, $content);

    }

    return $content;

}

?>